Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index
Class IndexStatusEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.jsword.index.IndexStatusEvent

All Implemented Interfaces:
  Serializable

    public class IndexStatusEvent

extends EventObject

An IndexStatusEvent is fired whenever the IndexStatus of a book has changed.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private IndexStatus` | `indexStatus` The indexStatus of the book.
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`IndexStatusEvent(Object source, IndexStatus status)` Basic constructor

Method Summary
`IndexStatus` | `getIndexStatus()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### indexStatus

    private transient IndexStatus indexStatus

  The indexStatus of the book.

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### IndexStatusEvent

    public IndexStatusEvent(Object source,
                            IndexStatus status)

  Basic constructor

  Parameters:
    `status` - The new status of the book.

Method Detail

### getIndexStatus

    public IndexStatus getIndexStatus()

  Returns:
    Returns the indexStatus.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD